Subject: Re: 1.3.20-1 CYGWIN ; csh,bash and ./config
From: "Konstantinos Makrodimitris" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Fri, 07 Mar 2003 13:28:57 +0000

Good morning,

Thank you  for your help.
The solution was simpler that I could imagine.
I had installed the tsch package but I didn't know it was there
and actually links to csh/THANKS.
The only that I had to do is to change the first line of
#!/bin/csh -f
to
#!/bin/tcsh -f
and the config file worked perfectly in CYGWIN
helping me after for
>make

The only small problem with building with 'make' was that for
the creation of an executable file at the end the GNU compiler
produced an error about no permissions in this file,trying
with chmod to change them etc. However giving full permissions to the 
executable and re-'make' the program_exe was build finally.

Best,
Konstantinos

>From: Igor Pechtchanski <[email-masked]>
>Reply-To: [email-masked]
>To: Konstantinos Makrodimitris <[email-masked]>
>CC: [email-masked]
>Subject: Re: 1.3.20-1 CYGWIN ;   csh,bash and ./config
>Date: Tue, 4 Mar 2003 15:20:52 -0500 (EST)
>
>Konstantinos,
>First off, the script is written for csh.  Why would you expect sh or bash
>to be able to interpret it?  These shells use different syntax.
>The original script failed because you don't have csh installed.  Cygwin
>does not have a "csh" package, but it does have a "tcsh" package that
>makes /bin/csh a symbolic link to /bin/tcsh.  Please install the "tcsh"
>package.  If you do have it installed, something is corrupted in your
>installation, please re-install it using setup.exe.  Note that you don't
>need to reinstall Cygwin, just the "tcsh" package.
>	Igor
>P.S. FYI, there is also an "ash" package that provides a "real" /bin/sh.
>
>On Tue, 4 Mar 2003, Konstantinos Makrodimitris wrote:
>
> > Hi,
> >
> > I am trying to run a configure file
> > ./config  Cygwin-i686
> > in order then to :
> >
> > cd Cygwin-i686
> > make
> >
> > The file config is like:
> > _____________________________________________________________________
> > #!/bin/csh -f

_________________________________________________________________
The new MSN 8: smart spam protection and 2 months FREE*  
http://join.msn.com/?page=features/junkmail

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/